Skip to main content
POST
/
filter
/
create
Create Filter
curl --request POST \
  --url http://{host}:{port}/{contextPath}/filter/create \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "resourceType": "Task",
  "name": "Accounting Tasks",
  "owner": "jonny1",
  "query": {
    "candidateGroup": "accounting"
  },
  "properties": {
    "color": "#3e4d2f",
    "description": "Tasks assigned to group accounting",
    "priority": 5
  }
}
'
{
  "id": "aFilterId",
  "resourceType": "Task",
  "name": "Accounting Tasks",
  "owner": "jonny1",
  "query": {
    "candidateGroup": "accounting"
  },
  "properties": {
    "color": "#3e4d2f",
    "description": "Tasks assigned to group accounting",
    "priority": 5
  }
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Body

application/json
resourceType
string | null

The resource type of the filter.

name
string | null

The name of the filter.

owner
string | null

The user id of the owner of the filter.

query
object

The query of the filter as a JSON object.

properties
object

The properties of a filter as a JSON object.

Response

Request successful.

id
string | null

The id of the filter.

resourceType
string | null

The resource type of the filter.

name
string | null

The name of the filter.

owner
string | null

The user id of the owner of the filter.

query
object

The query of the filter as a JSON object.

properties
object

The properties of a filter as a JSON object.

itemCount
integer<int64> | null

The number of items matched by the filter itself. Note: Only exists if the query parameter itemCount was set to true